using System;
using System.Collections.Generic;

namespace bdAntifraude.db;

public partial class ENUMERACIONES
{
    public int IDENUMERACION { get; set; }

    public int? IDGRUPOENUMERACION { get; set; }

    public string? CODIGO { get; set; }

    public string? DESCRIPCION { get; set; }

    public string? VALORALFABETICO1 { get; set; }

    public string? VALORALFABETICO2 { get; set; }

    public decimal? VALORNUMERICO1 { get; set; }

    public decimal? VALORNUMERICO2 { get; set; }

    public int? ORDEN { get; set; }

    public bool OCULTO { get; set; }

    public string? VALORALFABETICO3 { get; set; }

    public string? VALORALFABETICO4 { get; set; }

    public string? VALORALFABETICOLARGO { get; set; }

    public decimal? VALORNUMERICO3 { get; set; }

    public decimal? VALORNUMERICO4 { get; set; }

    public virtual ICollection<ASCENDIENTES> ASCENDIENTES { get; set; } = new List<ASCENDIENTES>();

    public virtual ICollection<ASCENDIENTESHISTORICOIRPF> ASCENDIENTESHISTORICOIRPF { get; set; } = new List<ASCENDIENTESHISTORICOIRPF>();

    public virtual ICollection<ASISTENCIAS> ASISTENCIAS { get; set; } = new List<ASISTENCIAS>();

    public virtual ICollection<COMPLEMENTOSCARRERA> COMPLEMENTOSCARRERA { get; set; } = new List<COMPLEMENTOSCARRERA>();

    public virtual ICollection<CUENTASCOTIZACIONPATRONAL> CUENTASCOTIZACIONPATRONAL { get; set; } = new List<CUENTASCOTIZACIONPATRONAL>();

    public virtual ICollection<CURSOS> CURSOS { get; set; } = new List<CURSOS>();

    public virtual ICollection<DEVENGOS> DEVENGOSIDCLAVENavigation { get; set; } = new List<DEVENGOS>();

    public virtual ICollection<DEVENGOS> DEVENGOSIDCONTRATOORELACIONNavigation { get; set; } = new List<DEVENGOS>();

    public virtual ICollection<DEVENGOS> DEVENGOSIDDISCAPACIDADNavigation { get; set; } = new List<DEVENGOS>();

    public virtual ICollection<DEVENGOS> DEVENGOSIDSITUACIONFAMILIARNavigation { get; set; } = new List<DEVENGOS>();

    public virtual ICollection<DEVENGOS> DEVENGOSIDSUBCLAVENavigation { get; set; } = new List<DEVENGOS>();

    public virtual ICollection<DOCENCIA> DOCENCIA { get; set; } = new List<DOCENCIA>();

    public virtual ICollection<ENFERMEDADES> ENFERMEDADES { get; set; } = new List<ENFERMEDADES>();

    public virtual ICollection<ENLACES> ENLACES { get; set; } = new List<ENLACES>();

    public virtual ICollection<EXCEPCIONESPERMISOS> EXCEPCIONESPERMISOS { get; set; } = new List<EXCEPCIONESPERMISOS>();

    public virtual ICollection<EXPEDIENTESPERSONAS> EXPEDIENTESPERSONAS { get; set; } = new List<EXPEDIENTESPERSONAS>();

    public virtual ICollection<FAMILIA> FAMILIAIDDISCAPACIDADNavigation { get; set; } = new List<FAMILIA>();

    public virtual ICollection<FAMILIA> FAMILIAIDPARENTESCONavigation { get; set; } = new List<FAMILIA>();

    public virtual ICollection<FICHEROS> FICHEROS { get; set; } = new List<FICHEROS>();

    public virtual ICollection<FORMACIONIMPARTIDA> FORMACIONIMPARTIDA { get; set; } = new List<FORMACIONIMPARTIDA>();

    public virtual ICollection<HIJOS> HIJOS { get; set; } = new List<HIJOS>();

    public virtual ICollection<HIJOSHISTORICOIRPF> HIJOSHISTORICOIRPF { get; set; } = new List<HIJOSHISTORICOIRPF>();

    public virtual ICollection<HISTORICOIRPF> HISTORICOIRPF { get; set; } = new List<HISTORICOIRPF>();

    public virtual ICollection<HORARIOSPERSONAS> HORARIOSPERSONASIDTARDEOBLIGATORIANavigation { get; set; } = new List<HORARIOSPERSONAS>();

    public virtual ICollection<HORARIOSPERSONAS> HORARIOSPERSONASIDTURNONavigation { get; set; } = new List<HORARIOSPERSONAS>();

    public virtual ICollection<HORASMES> HORASMES { get; set; } = new List<HORASMES>();

    public virtual GRUPOSENUMERACIONES? IDGRUPOENUMERACIONNavigation { get; set; }

    public virtual ICollection<IDIOMAS> IDIOMASIDNIVELNavigation { get; set; } = new List<IDIOMAS>();

    public virtual ICollection<IDIOMAS> IDIOMASIDTIPOIDIOMANavigation { get; set; } = new List<IDIOMAS>();

    public virtual ICollection<INCIDENCIASCONTROLHORARIO> INCIDENCIASCONTROLHORARIOIDADJUNTONavigation { get; set; } = new List<INCIDENCIASCONTROLHORARIO>();

    public virtual ICollection<INCIDENCIASCONTROLHORARIO> INCIDENCIASCONTROLHORARIOIDGRUPONavigation { get; set; } = new List<INCIDENCIASCONTROLHORARIO>();

    public virtual ICollection<INCIDENCIASCONTROLHORARIO> INCIDENCIASCONTROLHORARIOIDTIPONavigation { get; set; } = new List<INCIDENCIASCONTROLHORARIO>();

    public virtual ICollection<LINEASVIDAADMINISTRATIVA> LINEASVIDAADMINISTRATIVA { get; set; } = new List<LINEASVIDAADMINISTRATIVA>();

    public virtual ICollection<NOMINAS> NOMINASIDSITUACIONNOMINANavigation { get; set; } = new List<NOMINAS>();

    public virtual ICollection<NOMINAS> NOMINASIDTIPONavigation { get; set; } = new List<NOMINAS>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDGRUPOFUNCIONARIONavigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDMUTUA2Navigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDMUTUANavigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDSINDICATO1Navigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDSINDICATO2Navigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<NOMINATRABAJADORCABECERA> NOMINATRABAJADORCABECERAIDTIPOPERSONANavigation { get; set; } = new List<NOMINATRABAJADORCABECERA>();

    public virtual ICollection<PERIODOSSILTRA> PERIODOSSILTRAIDESTADONavigation { get; set; } = new List<PERIODOSSILTRA>();

    public virtual ICollection<PERIODOSSILTRA> PERIODOSSILTRAIDTIPOLIQUIDACIONNavigation { get; set; } = new List<PERIODOSSILTRA>();

    public virtual ICollection<PERIODOSSILTRA> PERIODOSSILTRAIDTIPOPERIODOTRAMONavigation { get; set; } = new List<PERIODOSSILTRA>();

    public virtual ICollection<PERSONAS> PERSONASIDCAUSAALTAPARNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDCAUSABAJAPARNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDCAUSADEBAJANavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDDEPARTAMENTONavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDDISCAPACIDADNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDESCALANavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDESPECIALIDADNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDGRUPOFUNCIONARIONavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDMUTUA2Navigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDMUTUANavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDOCUPACIONNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDSEXONavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDSITUACIONENRPTNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDSITUACIONFAMILIARNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDSITUACIONLABORALNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDTIPOEMPLEADORPTNavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PERSONAS> PERSONASIDTIPONavigation { get; set; } = new List<PERSONAS>();

    public virtual ICollection<PLANTILLAS> PLANTILLASIDGRUPONavigation { get; set; } = new List<PLANTILLAS>();

    public virtual ICollection<PLANTILLAS> PLANTILLASIDTIPONavigation { get; set; } = new List<PLANTILLAS>();

    public virtual ICollection<PROCESOS> PROCESOSIDSUBTIPONavigation { get; set; } = new List<PROCESOS>();

    public virtual ICollection<PROCESOS> PROCESOSIDTIPONavigation { get; set; } = new List<PROCESOS>();

    public virtual ICollection<PUESTOSTRABAJO> PUESTOSTRABAJOIDGRUPOFUNCIONARIONavigation { get; set; } = new List<PUESTOSTRABAJO>();

    public virtual ICollection<PUESTOSTRABAJO> PUESTOSTRABAJOIDTIPONavigation { get; set; } = new List<PUESTOSTRABAJO>();

    public virtual ICollection<ROLESDEPARTAMENTOSCH> ROLESDEPARTAMENTOSCH { get; set; } = new List<ROLESDEPARTAMENTOSCH>();

    public virtual ICollection<RPT> RPT { get; set; } = new List<RPT>();

    public virtual ICollection<RPT_DESCRIP> RPT_DESCRIPIDDEPARTAMENTONavigation { get; set; } = new List<RPT_DESCRIP>();

    public virtual ICollection<RPT_DESCRIP> RPT_DESCRIPIDTIPOVIRTUALNavigation { get; set; } = new List<RPT_DESCRIP>();

    public virtual ICollection<SALAS> SALAS { get; set; } = new List<SALAS>();

    public virtual ICollection<SESIONES> SESIONESIDTIPONavigation { get; set; } = new List<SESIONES>();

    public virtual ICollection<SESIONES> SESIONESIDTURNONavigation { get; set; } = new List<SESIONES>();

    public virtual ICollection<SITUACIONACTUALIRPF> SITUACIONACTUALIRPFIDCONTRATOORELACIONNavigation { get; set; } = new List<SITUACIONACTUALIRPF>();

    public virtual ICollection<SITUACIONACTUALIRPF> SITUACIONACTUALIRPFIDDISCAPACIDADNavigation { get; set; } = new List<SITUACIONACTUALIRPF>();

    public virtual ICollection<SITUACIONACTUALIRPF> SITUACIONACTUALIRPFIDSITUACIONFAMILIARNavigation { get; set; } = new List<SITUACIONACTUALIRPF>();

    public virtual ICollection<SITUACIONACTUALIRPF> SITUACIONACTUALIRPFIDSITUACIONLABORALNavigation { get; set; } = new List<SITUACIONACTUALIRPF>();

    public virtual ICollection<TIPOSPUESTOSTRABAJO> TIPOSPUESTOSTRABAJOIDGRUPOFUNCIONARIONavigation { get; set; } = new List<TIPOSPUESTOSTRABAJO>();

    public virtual ICollection<TIPOSPUESTOSTRABAJO> TIPOSPUESTOSTRABAJOIDTIPOPERSONANavigation { get; set; } = new List<TIPOSPUESTOSTRABAJO>();

    public virtual ICollection<TIPOSSESIONES> TIPOSSESIONES { get; set; } = new List<TIPOSSESIONES>();

    public virtual ICollection<TIPOSTRAMOS> TIPOSTRAMOSIDREGIMENAPLICACIONNavigation { get; set; } = new List<TIPOSTRAMOS>();

    public virtual ICollection<TIPOSTRAMOS> TIPOSTRAMOSIDTIPOTRAMOFICHEROXMLNavigation { get; set; } = new List<TIPOSTRAMOS>();

    public virtual ICollection<TURNOSTEMPORALES> TURNOSTEMPORALES { get; set; } = new List<TURNOSTEMPORALES>();

    public virtual ICollection<VALIDACIONDOCUMENTOS> VALIDACIONDOCUMENTOS { get; set; } = new List<VALIDACIONDOCUMENTOS>();

    public virtual ICollection<VIDA_ADMINISTRATIVA> VIDA_ADMINISTRATIVA { get; set; } = new List<VIDA_ADMINISTRATIVA>();
}
